<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Hash a function call — hash_fn_call • pkgpins</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Hash a function call — hash_fn_call"><meta name="description" content="Creates a string that uniquely identifies a function call by the function's name and a hash of the specified arguments."><meta property="og:description" content="Creates a string that uniquely identifies a function call by the function's name and a hash of the specified arguments."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpins</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.8.0.9000</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpins/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Hash a function call</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpins/blob/HEAD/R/pkgpins.gen.R" class="external-link"><code>R/pkgpins.gen.R</code></a></small>
      <div class="d-none name"><code>hash_fn_call.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a string that uniquely identifies a function call by the function's name and a hash of the specified arguments.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">hash_fn_call</span><span class="op">(</span><span class="va">from_fn</span>, <span class="va">...</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-from-fn">from_fn<a class="anchor" aria-label="anchor" href="#arg-from-fn"></a></dt>
<dd><p>Name of the function from which <code>hash_fn_call()</code> is called. A character scalar.</p></dd>


<dt id="arg--">...<a class="anchor" aria-label="anchor" href="#arg--"></a></dt>
<dd><p>Arguments <code>from_fn</code> was called with. Any arguments omitted here won't be taken into account when generating the hash.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character scalar.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>This function does evaluate all arguments in <code>...</code>. I.e. the function call <code>mypkg::foo(a = my_var)</code> will be cached as "foo-ff6a1ba723cae45aeee265a71493cecf" if
<code>my_var</code>'s value is <code>100</code>, whereas it will become "foo-3f6860362d51e26829cc6f2f3b2968e9" if <code>my_var</code>'s value is <code>101</code>. See examples below.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other object handling functions:
<code><a href="cache_obj.html">cache_obj</a>()</code>,
<code><a href="get_obj.html">get_obj</a>()</code>,
<code><a href="is_cached.html">is_cached</a>()</code>,
<code><a href="rm_obj.html">rm_obj</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="va">foo</span> <span class="op">&lt;-</span> <span class="kw">function</span><span class="op">(</span><span class="va">a</span>, <span class="va">b</span> <span class="op">=</span> <span class="st">"default"</span><span class="op">)</span> <span class="fu">pkgpins</span><span class="fu">::</span><span class="fu">hash_fn_call</span><span class="op">(</span><span class="st">"foo"</span>, <span class="va">a</span>, <span class="va">b</span><span class="op">)</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span><span class="st">"bar"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-782c297a474889e0e16c91d7218df53a"</span>
<span class="r-in"><span><span class="va">a</span> <span class="op">&lt;-</span> <span class="st">"bar"</span></span></span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span><span class="va">a</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-782c297a474889e0e16c91d7218df53a"</span>
<span class="r-in"><span><span class="va">a</span> <span class="op">&lt;-</span> <span class="st">"barbie"</span></span></span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span><span class="va">a</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-cfb2a469df5d0d7742cfd54f435a16f2"</span>
<span class="r-in"><span><span class="va">a</span> <span class="op">|&gt;</span> <span class="fu">foo</span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-cfb2a469df5d0d7742cfd54f435a16f2"</span>
<span class="r-in"><span><span class="va">a</span> <span class="op">|&gt;</span> <span class="fu">foo</span><span class="op">(</span>b <span class="op">=</span> <span class="st">"default"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-cfb2a469df5d0d7742cfd54f435a16f2"</span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># you can also create a hash that is based on a subset of all function arguments</span></span></span>
<span class="r-in"><span><span class="va">foo</span> <span class="op">&lt;-</span> <span class="kw">function</span><span class="op">(</span><span class="va">a</span>, <span class="va">b</span> <span class="op">=</span> <span class="st">"default"</span><span class="op">)</span> <span class="fu">pkgpins</span><span class="fu">::</span><span class="fu">hash_fn_call</span><span class="op">(</span><span class="st">"foo"</span>, <span class="va">b</span><span class="op">)</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span><span class="st">"bar"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-70aa9861fd915a068381031ccbb9e55d"</span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span><span class="st">"barrr"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-70aa9861fd915a068381031ccbb9e55d"</span>
<span class="r-in"><span><span class="fu">foo</span><span class="op">(</span>b <span class="op">=</span> <span class="st">"bar"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "foo-3606446b81d5551067274d18bbff6700"</span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

